Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/24006/?format=api
{ "ob_id": 24006, "uuid": "751ad1e1146d4a519c46108df668963b", "title": "UKCP09: Probabilistic marine climate projections data", "abstract": "The UK Climate Projections 2009 (UKCP09) probabilistic marine projections data are projections of a future climate with an associated probability. Monthly and annual data are provided for mean sea level pressure, temperature, precipitation and total cloud cover in 30 year averages (2010-2039, 2020-2049, 2030-2059, 2040-2069, 2050-2079, 2060-2089, 2070-2099).\r\n\r\nThese projections provide an absolute value for the future climate (as opposed to giving values that are relative to a baseline period). A probabilistic climate projection is a measure of the strength of evidence in different future climate change outcomes. This measure is dependent on the method used, is based on the currently available evidence and encapsulates some, but not all, of the uncertainty associated with projecting future climate.\r\n\r\nThe marine and coastal projections report contains further details (see linked documentation).", "keywords": "UKCP09, UK, marine projections, climate projections", "publicationState": "published", "dataPublishedTime": "2017-09-05T13:02:57", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/24011/?format=api", "dataPath": "/badc/ukcp09/data/projections/prob_marine_cc", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 541110492, "numberOfFiles": 477, "fileFormat": "The data are NetCDF formatted and adhere to v1.0 of the CF data conventions." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6540/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/674/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51662/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56061/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56062/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56063/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56064/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56065/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56066/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56067/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56068/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56069/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56070/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56071/?format=api" ], "dataLineage": "Original data were produced by the Met Office as part of the UKCP09 service before preparation for archival with the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12930/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/23999/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98563/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98564/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98565/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98561/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98562/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98566/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98568/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98559/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98560/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/98567/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168555/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/24015/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }